Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.feedback.types
Class DemandFeedback

    java.lang.Object
      mauda.feedback.SimpleFeedback
          mauda.feedback.types.DemandFeedback

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, ExerciseUpdateListener

    public class DemandFeedback

extends SimpleFeedback
implements java.awt.event.ActionListener

Provides the logic for Feedback on demand

Author:
  Markus Krebs

Field Summary
`static java.lang.String` | `requestMenuItem` The ActionCommand for the TreeOperationView context-menu, to request feedback

Fields inherited from class mauda.feedback.SimpleFeedback
`feedbackGenerator, MAX_TRIES`

Constructor Summary
`DemandFeedback(FeedbackExercise exercise)` Creates a DemandFeedback

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Listener for MenuItem in TreeOperationView.
`int` | `getFeedbackTypeID()` Returns the FeedbackTypeID
`void` | `load(java.util.HashMap hm)` Loads the values of this feedback with the values from the delivered HashMap-representation
`java.util.HashMap` | `save()` Converts all feedback-values in a HashMap-representation for saving-purposes

Methods inherited from class mauda.feedback.SimpleFeedback
`displayLoadingMessage, exerciseFinished, exerciseUpdate, getEvaluator, getFeedbackGenerator, getInitOperationQueue, getTodoOperationQueue, setEvaluator, setInitOperationQueue, setTodoOperationQueue, switchTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### requestMenuItem

    public static final java.lang.String requestMenuItem

  The ActionCommand for the TreeOperationView context-menu, to request feedback

  See Also:
    Constant Field Values

Constructor Detail

### DemandFeedback

    public DemandFeedback(FeedbackExercise exercise)

  Creates a DemandFeedback

  Parameters:
    `exercise` - FeedbackExercise

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Listener for MenuItem in TreeOperationView.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  See Also:
    `ActionListener.actionPerformed(java.awt.event.ActionEvent)`, `requestMenuItem`

### getFeedbackTypeID

    public int getFeedbackTypeID()

  Description copied from class: `SimpleFeedback`
  Returns the FeedbackTypeID

  Overrides:
    `getFeedbackTypeID` in class `SimpleFeedback`
  Returns:
    feedback-type-ID
  See Also:
    `FeedbackSelector`

### save

    public java.util.HashMap save()

  Description copied from class: `SimpleFeedback`
  Converts all feedback-values in a HashMap-representation for saving-purposes

  Overrides:
    `save` in class `SimpleFeedback`
  Returns:
    HashMap-representation

### load

    public void load(java.util.HashMap hm)

  Description copied from class: `SimpleFeedback`
  Loads the values of this feedback with the values from the delivered HashMap-representation

  Overrides:
    `load` in class `SimpleFeedback`
  Parameters:
    `hm` - HashMap-representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD